<?PHP
/*
* validate.php Actions wrapper
* copyright (c)2005 Marco Islas <markuz@islascruz.org>
*/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
switch($_REQUEST["do"]){
	case "login":
		$sql = "select id,password from admins where ";
		$sql.= "nick='".$_REQUEST["username"]."'";
		require_once("include/config.php");
		if ($data = $GLOBALS["db"]->fetch_array($sql)){
			if (md5($_REQUEST["password"]) == $data["password"]){
				setcookie("admin","".$data["id"]."",0,"","",0);
				header('Location: xhtml/redirect_login.html');
			}else 
				header("location: admin.php?retry=1");
		}
			else
			header("location: admin.php?retry=1");
	break;
	case "logout":
		if (setcookie("admin"))
			header('Location: index.php');
	break;
}
?>